
import random
import visa

def random_visa_operation(resource_manager, instrument_id):
    # Define a list of available VISA operations
    operations = {
        'write': instrument_id.write,
        'query': instrument_id.query,
        'read': instrument_id.read,
        'clear': instrument_id.clear,
        'close': instrument_id.close
    }

    # Randomly select an operation from the list
    operation = random.choice(list(operations.keys()))

    # Execute the selected operation
    if operation == 'write':
        return operations[operation]('Hello, VISA!')
    elif operation == 'query':
        return operations[operation]('*IDN?')
    elif operation == 'read':
        return operations[operation]()
    elif operation == 'clear':
        return operations[operation]()
    elif operation == 'close':
        operations[operation]()
        return 'Instrument closed'



